Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Membre confirmé
    Avatar de JP.NUAGE
    Profil pro
    Inscrit en
    avril 2006
    Messages
    734
    Détails du profil
    Informations personnelles :
    Âge : 76
    Localisation : France

    Informations forums :
    Inscription : avril 2006
    Messages : 734
    Points : 534
    Points
    534

    Par défaut apt-get, aptitude, dpkg. . . inconnus

    Bonjour à tous

    Décidément Mageia va me rendre fou ! J'ai voulu exécuter la commande apt-get et j'ai le message :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    bash : apt-get commande introuvable
    Déjà cela fait flipper. Puis j'ai essayé aptitude:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    bash : aptitude commande introuvable
    Idem pour dpkg ! Je ne suis pas allé plus loin pour éviter le burn-out
    Mais je suis allé voir dans le répertoire bin. Ce n'est peut-être pas le bon, en tout cas aucune de ces commandes n'y figure.
    Comment puis-je corriger ce problème ?
    Ce qui se conçoit bien s'énonce clairement
    Et les mots pour le dire viennent aisément (Boileau)

  2. #2
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    7 215
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 7 215
    Points : 10 268
    Points
    10 268

    Par défaut

    Salut,

    un locate -b '\dpkg' te permettra sans doute d'y voir plus clair.

    Chez moi il est dans /usr/bin/Courage (je comprends mieux pourquoi rien ne fonctionne chez toi...)
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  3. #3
    Modérateur
    Avatar de N_BaH
    Profil pro
    Inscrit en
    février 2008
    Messages
    5 191
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : février 2008
    Messages : 5 191
    Points : 13 463
    Points
    13 463

    Par défaut

    le problème n'est pas Mageia.
    c'est plutôt entre la chaise et le clavier que ça bug !


    stfw 2sec
    .
    N'oubliez pas de consulter les cours shell, la FAQ, et les pages man.

  4. #4
    Membre confirmé
    Avatar de JP.NUAGE
    Profil pro
    Inscrit en
    avril 2006
    Messages
    734
    Détails du profil
    Informations personnelles :
    Âge : 76
    Localisation : France

    Informations forums :
    Inscription : avril 2006
    Messages : 734
    Points : 534
    Points
    534

    Par défaut

    D'abord une réponse à Jipété : j'ai lancé la commande locate et voilà le résulte (j'ai fait pareil pour dpkg et même résultat) mais je ne vois pas bien à quoi cela m'avance !
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    ~$ locate -b '\apt-get'
    /usr/share/bash-completion/completions/apt-get
    ~$
    Ensuite, comme me le conseille N_BaH, je suis allé sur le site stfw 2sec. J'ai d'abord lancé un MageiaUpdate : sans grand résultat. Rien à installer et sur le terminal ceci
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    Ignore the following Glib::Object::Introspection & Gtk3 warnings
    Subroutine Gtk3::main redefined at /usr/lib/perl5/vendor_perl/5.22.3/Gtk3.pm line 525.
    impossible d'accéder au fichier synthesis de «*Core 32bit Release*», média ignoré
    getting lock on urpmi
    error: curl a échoué*: sortie avec 7
     
    ... échec de la récupération*: curl a échoué*: sortie avec 7
     
    error: curl a échoué*: sortie avec 7
     
    error: curl a échoué*: sortie avec 7
     
    ... échec de la récupération*: curl a échoué*: sortie avec 7
     
    error: curl a échoué*: sortie avec 7
     
    error: curl a échoué*: sortie avec 7
     
    ... échec de la récupération*: curl a échoué*: sortie avec 7
     
    error: curl a échoué*: sortie avec 7
     
    unlocking urpmi database
    impossible d'accéder au fichier synthesis de «*Core 32bit Release*», média ignoré
    getting lock on urpmi
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Core Release.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Core Updates.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Nonfree Release.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Nonfree Updates.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Nonfree Backports.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Tainted Release.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Tainted Updates.cz]
    examen de la liste de synthèse [/var/lib/urpmi/synthesis.hdlist.Tainted Backports.cz]
    unlocking urpmi database
    Tiens ? J'ai déjà vu le message "curl a échoué, sortie avec 7" lorsque j'ai voulu installer flamerobin (voir une autre discussion)
    Puis je suis allé, toujours en suivant les conseils du site, dans le Centre de Contrôle, Configurer les sources... et effectivement certaines des lignes qui devraient être actives ne le sont pas, par exemple Code 32bits Release et Core 32bits Updates. J'ai voulu les actives, hélas :
    Impossible de mettre à jour le média, erreurs rapportées*:

    ... échec de la récupération*: curl a échoué*: sortie avec 7
    pas de métadonnées trouvées pour le média «*Core 32bit Release*»
    Le bug est entre le clavier et la chaise ? Alors cela veut dire que ce qui est entre le clavier et la chaise ne sait ni lire ni écrire : Faux, jusqu'à preuve du contraire, bien sûr.

    Petite précision pour Jipété :là ce sont les problèmes sur Mageia ! Lazarus c'est sur un autre ordi avec Ubuntu 17, mais c'est gentil d'avoir pensé aux deux !
    Ce qui se conçoit bien s'énonce clairement
    Et les mots pour le dire viennent aisément (Boileau)

  5. #5
    Expert éminent Avatar de Flodelarab
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    3 215
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Charente (Poitou Charente)

    Informations forums :
    Inscription : septembre 2005
    Messages : 3 215
    Points : 7 516
    Points
    7 516

    Par défaut

    Bonjour

    Choisir une distribution, c'est peut-être choisir une suite logicielle, mais c'est surtout choisir un système de paquets et la façon de les installer.

    Perso, j'ai commencé par la distribution Mandrake qui est devenue Mandriva qui est devenue Mageia, si je ne m'abuse.

    Le système de paquets de Mageia N'est PAS à base de *.deb donc pas de apt-get, aptitude, ou autre.

    Mageia, c'est *.rpm et les outils rpm et les dépôts rpm. C'est ce qu'il fallait retenir du lien de N_BaH.
    Cette réponse vous apporte quelque chose ? Cliquez sur en bas à droite du message.
    Votre problème est résolu ? Cliquez sur en bas de page.

    Linux, grep/sed/awk/xml... et autres fichiers plats, Java, C++

  6. #6
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    7 215
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 7 215
    Points : 10 268
    Points
    10 268

    Par défaut

    Citation Envoyé par Flodelarab Voir le message
    Le système de paquets de Mageia N'est PAS à base de *.deb donc pas de apt-get, aptitude, ou autre.
    Me coucherai moins bête, tout-à-l'heure !

    Citation Envoyé par JP.NUAGE Voir le message
    j'ai lancé la commande locate et voilà le résulte (j'ai fait pareil pour dpkg et même résultat) mais je ne vois pas bien à quoi cela m'avance !
    Si on fait abstraction de la remarque précédente, au vu de la citation ci-dessus je crois que tu devrais abandonner Linux et rester sous Windows, tu serais moins perdu.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  7. #7
    Membre confirmé
    Avatar de JP.NUAGE
    Profil pro
    Inscrit en
    avril 2006
    Messages
    734
    Détails du profil
    Informations personnelles :
    Âge : 76
    Localisation : France

    Informations forums :
    Inscription : avril 2006
    Messages : 734
    Points : 534
    Points
    534

    Par défaut

    Ah non, c'est un peu court jeune homme,
    On pouvait dire bien des choses en somme
    (Cyrano)

    Rester sous Windows alors que depuis des années je n'arrête pas de râler contre ce produit !

    Revenons à nos moutons. Il doit tout de même être possible d'installer des logiciels sous Mageia non ? Même si ce sont de *.rpm. Au moins je ne vais plus perdre de temps à chercher des choses qui n'existent pas. Alors, un dernier petit coup de pouce pour savoir comment installer des *.rpm. De toute manière je vais regarder sur le Web, mais au cas où .....

    En tout cas déjà
    Ce qui se conçoit bien s'énonce clairement
    Et les mots pour le dire viennent aisément (Boileau)

  8. #8
    Expert éminent Avatar de Flodelarab
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    3 215
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Charente (Poitou Charente)

    Informations forums :
    Inscription : septembre 2005
    Messages : 3 215
    Points : 7 516
    Points
    7 516

    Par défaut

    Revenons à nos moutons. Il doit tout de même être possible d'installer des logiciels sous Mageia non ?
    Plutôt non. C'est pour cela que Mageia, c'est caca.

    De mémoire, si les gardiens des dépôts ont intégré le logiciel qui t'attire, par exemple Gimp, alors tu fais apt-get install gimp sous Debian et urpmi gimp sous Mageia.

    Si un paquet deb t'attire et est autonome, tu peux le convertir en rpm avec alien. Pas sûr que tes nerfs le supportent.

    Même si ce sont de *.rpm. Au moins je ne vais plus perdre de temps à chercher des choses qui n'existent pas. Alors, un dernier petit coup de pouce pour savoir comment installer des *.rpm. De toute manière je vais regarder sur le Web, mais au cas où .....
    Je rêve. Il y a de quoi de venir désagréable. Non seulement tu aurais dû lire le mode d'emploi de ton propre système, mais en plus, quand N_BaH te l'amène sur un plateau, tu continues à demander.

    Quand quelqu'un dit que "le problème est entre la chaise et le clavier", ce ne sont pas les capacités de lecture et écriture qui sont pointées, mais bien la jugeote et la débrouillardise.
    Cette réponse vous apporte quelque chose ? Cliquez sur en bas à droite du message.
    Votre problème est résolu ? Cliquez sur en bas de page.

    Linux, grep/sed/awk/xml... et autres fichiers plats, Java, C++

  9. #9
    Membre confirmé
    Avatar de JP.NUAGE
    Profil pro
    Inscrit en
    avril 2006
    Messages
    734
    Détails du profil
    Informations personnelles :
    Âge : 76
    Localisation : France

    Informations forums :
    Inscription : avril 2006
    Messages : 734
    Points : 534
    Points
    534

    Par défaut

    Inutile d'être désagréable : j'ai bien précisé que j'allais chercher sur le web et j'ai trouvé. Pour ton info Flodelarab alien je connais et j'utilise. Et Mageia m'a été collé sur mon ordi par quelqu'un qui, avec des airs très supérieurs de celui qui sait, m'a dit que c'était tellement mieux que Ubuntu. Ce qui fait la différence entre un pédagogue et un professeur c'est la modestie : l'un pense qu'il sait, l'autre en est sûr.

    Maintenant l'info que tu m'as donnée sur Mageia confirme ce que je pensais depuis pas mal de temps. Alors je vais retourné sous Ubuntu 16 nettement plus agréable !
    Ce qui se conçoit bien s'énonce clairement
    Et les mots pour le dire viennent aisément (Boileau)

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Problème d'install avec apt-get...
    Par byloute dans le forum Debian
    Réponses: 5
    Dernier message: 21/02/2006, 14h40
  2. Désinstaller un logiciel installer avec apt-get ?
    Par piff62 dans le forum Debian
    Réponses: 2
    Dernier message: 23/02/2005, 18h44
  3. Apt-get -f install
    Par devmat dans le forum Debian
    Réponses: 3
    Dernier message: 07/10/2004, 04h05
  4. Forcer apt-get à utiliser un proxy ?
    Par Michaël dans le forum Debian
    Réponses: 2
    Dernier message: 02/08/2004, 11h54
  5. La commande apt-get
    Par GLDavid dans le forum Debian
    Réponses: 4
    Dernier message: 03/01/2004, 00h23

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo